From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 9 Mar 2021 12:06:05 +0100
Subject: Fix syntax warnings

Bug: https://bugs.kali.org/view.php?id=6626
---
 empire/server/data/agent/agent.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/empire/server/data/agent/agent.py b/empire/server/data/agent/agent.py
index b420a36..243c24d 100644
--- a/empire/server/data/agent/agent.py
+++ b/empire/server/data/agent/agent.py
@@ -504,7 +504,7 @@ class MainAgent:
 
         path = "/"  # default to root
         if (
-                cmdargs is not None and cmdargs != "" and cmdargs != "/"
+                cmdargs != None and cmdargs != "" and cmdargs != "/"
         ):  # strip trailing slash for uniformity
             path = cmdargs.rstrip("/")
         if path[0] != "/":  # always scan relative to root for uniformity
@@ -1071,7 +1071,7 @@ class MainAgent:
             return str(socket.gethostname())
 
         else:
-            if cmdargs is not None:
+            if cmdargs != None:
                 command = "{} {}".format(command, cmdargs)
 
             p = subprocess.Popen(
